# charset.c File Reference

## Defines

#define | MCHAR_INVALID_CODE
| Invalid code-point.

## Functions

MSymbol | mchar_define_charset (const char *name, MPlist *plist)
| Define a charset.
MSymbol | mchar_resolve_charset (MSymbol symbol)
| Resolve charset name.
int | mchar_list_charset (MSymbol **symbols)
| List symbols representing charsets.
int | mchar_decode (MSymbol charset_name, unsigned code)
| Decode a code-point.
unsigned | mchar_encode (MSymbol charset_name, int c)
| Encode a character code.
int | mchar_map_charset (MSymbol charset_name, void(*func)(int from, int to, void *arg), void *func_arg)
| Call a function for all the characters in a specified charset.

## Variables

Variables: Symbols representing a charset.
Each of the following symbols represents a predefined charset.
MSymbol | Mcharset_ascii
| Symbol representing the charset ASCII.
MSymbol | Mcharset_iso_8859_1
| Symbol representing the charset ISO/IEC 8859/1.
MSymbol | Mcharset_unicode
| Symbol representing the charset Unicode.
MSymbol | Mcharset_m17n
| Symbol representing the largest charset.
MSymbol | Mcharset_binary
| Symbol representing the charset for ill-decoded characters.
Variables: Parameter keys for mchar_define_charset().
These are the predefined symbols to use as parameter keys for the function mchar_define_charset() (which see).
MSymbol | Mmethod
MSymbol | Mdimension
MSymbol | Mmin_range
MSymbol | Mmax_range
MSymbol | Mmin_code
MSymbol | Mmax_code
MSymbol | Mascii_compatible
MSymbol | Mfinal_byte
MSymbol | Mrevision
MSymbol | Mmin_char
MSymbol | Mmapfile
MSymbol | Mparents
MSymbol | Msubset_offset
MSymbol | Mdefine_coding
MSymbol | Maliases
Variables: Symbols representing charset methods.
These are the predefined symbols that can be a value of the Mmethod parameter of a charset used in an argument to the mchar_define_charset() function. A method specifies how code-points and character codes are converted. See the documentation of the mchar_define_charset() function for the details.
MSymbol | Moffset
| Symbol for the offset type method of charset.
MSymbol | Mmap
| Symbol for the map type method of charset.
MSymbol | Munify
| Symbol for the unify type method of charset.
MSymbol | Msubset
| Symbol for the subset type method of charset.
MSymbol | Msuperset
| Symbol for the superset type method of charset.